Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## devisor2.foundation.boundary
Class Boundary

    java.lang.Object
      devisor2.foundation.boundary.Boundary

All Implemented Interfaces:
  java.io.Serializable

public class Boundary
extends java.lang.Object
implements java.io.Serializable

This class represents one Boundary of the Domain. All Boundaries form the DomainBoundary (see there for details), and every Boundary contains several Segments.
A Boundary has a natural parametrisation: Every segment has parameter values from 0 inclusive to 1 exclusive, thus the boundary has parameter values (or a total length if you prefer that term) from 0 to its number of segments.
This class provides methods to add and remove Segments from the Boundary, to add and remove BondaryNodes, and to support copy and paste.

See Also:
  Serialized Form

Field Summary
`protected ControlCenter` | `cc` the ControlCenter reference
`java.util.Vector` | `segments` the segments itselves

Constructor Summary
`Boundary()` Creates a new (empty) boundary

Method Summary
`void` | `addSegment(Segment s)` adds a segment as last segment to the Boundary
`java.lang.Object` | `clone()` clones the Boundary shallowly
`void` | `delSegment(Segment s)` deletes the given segment
`int` | `getNumber()`
`double` | `getParaMax()`
`Segment` | `getSegment(int segmentnumber)` returns the segmentnumber-th segment in a boundary
`int` | `getSegmentCount()` returns the number of segments in a boundary
`java.util.Vector` | `getSegments()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### segments

    public java.util.Vector segments

  the segments itselves

### cc

    protected ControlCenter cc

  the ControlCenter reference

Constructor Detail

### Boundary

    public Boundary()

  Creates a new (empty) boundary

Method Detail

### getSegments

    public java.util.Vector getSegments()

  Returns:
    the segments of this boundary

### getSegmentCount

    public int getSegmentCount()

  returns the number of segments in a boundary

  Returns:
    number of segments

### getNumber

    public int getNumber()

  Returns:
    the boundary number, -1 if not part of the domainboundary

### getParaMax

    public double getParaMax()

  Returns:
    the maximal parameter value of this boundary

### getSegment

    public Segment getSegment(int segmentnumber)

  returns the segmentnumber-th segment in a boundary

  Parameters:
    `segmentnumber` - segment number from 0 to getSegmentCount()-1
  Returns:
    null if not found

### addSegment

    public void addSegment(Segment s)

  adds a segment as last segment to the Boundary

  Parameters:
    `s` - segment to be inserted

### delSegment

    public void delSegment(Segment s)

  deletes the given segment

### clone

    public java.lang.Object clone()

  clones the Boundary shallowly

### toString

    public java.lang.String toString()

  Returns:
    a String representation of this boundary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD